# ProgressBarStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the style that a [ProgressBar](/api/wisej.web/content/wisej.web.progressbar.md) uses to indicate the progress of an operation.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ProgressBarStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ProgressBarStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name           | Description                                                                                                                                        |
| -------------- | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Blocks**     | Indicates progress by increasing the number of segmented blocks in a [ProgressBar](/api/wisej.web/content/wisej.web.progressbar.md).               |
| **Continuous** | Indicates progress by increasing the size of a smooth, continuous bar in a [ProgressBar](/api/wisej.web/content/wisej.web.progressbar.md).         |
| **Marquee**    | Indicates progress by continuously scrolling a block across a [ProgressBar](/api/wisej.web/content/wisej.web.progressbar.md) in a marquee fashion. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.progressbarstyle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
